"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.OverrideUnsetKeyException = void 0;
const object_builder_exception_1 = require("./object-builder.exception");
class OverrideUnsetKeyException extends object_builder_exception_1.ObjectBuilderException {
    constructor(key) {
        super(`The key '${key.toString()}' must already be set to be overridden.`);
    }
}
exports.OverrideUnsetKeyException = OverrideUnsetKeyException;
//# sourceMappingURL=override-unset-key.exception.js.map